Package org.apache.wiki.modules

## Class BaseModuleManager

- java.lang.Object
- - org.apache.wiki.modules.BaseModuleManager

All Implemented Interfaces:
  `ModuleManager`

Direct Known Subclasses:
  `DefaultEditorManager`, `DefaultFilterManager`, `DefaultPluginManager`, `DefaultTemplateManager`

    public abstract class BaseModuleManager
    extends java.lang.Object
    implements ModuleManager

Superclass for all JSPWiki managers for modules (plugins, etc.).

### Field Summary

Fields
`protected Engine` `m_engine`

### Fields inherited from interface org.apache.wiki.modules.ModuleManager

`PLUGIN_RESOURCE_LOCATION`

### Constructor Summary

Constructors
`BaseModuleManager​(Engine engine)` Constructs the ModuleManager.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `checkCompatibility​(WikiModuleInfo info)` Returns true, if the given module is compatible with this version of JSPWiki.
`protected <T extends WikiModuleInfo> java.util.Collection<WikiModuleInfo>` `modules​(java.util.Iterator<T> iterator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.modules.ModuleManager

`getModuleInfo, modules`

### Field Detail

#### m_engine

    protected final Engine m_engine

### Constructor Detail

#### BaseModuleManager

    public BaseModuleManager​(Engine engine)

Constructs the ModuleManager.

Parameters:
  `engine` - The Engine which owns this manager.

### Method Detail

#### checkCompatibility

    public boolean checkCompatibility​(WikiModuleInfo info)

Returns true, if the given module is compatible with this version of JSPWiki.

Specified by:
  `checkCompatibility` in interface `ModuleManager`
Parameters:
  `info` - The module to check
Returns:
  True, if the module is compatible.

#### modules

    protected <T extends WikiModuleInfo> java.util.Collection<WikiModuleInfo> modules​(java.util.Iterator<T> iterator)